Bug 52899 - mprof-report missing filenames in coverage xml output when using portable pdbs
Summary: mprof-report missing filenames in coverage xml output when using portable pdbs
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2017-02-28 13:58 UTC by Alexander Köplinger [MSFT]
Modified: 2017-03-01 23:12 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alexander Köplinger [MSFT] 2017-02-28 13:58:48 UTC
Repro:

> using System;
>
> namespace Test {
>     class Program {
>         static void Main() {
>             Console.WriteLine("Hello World!");
>         }
>     }
> }

1. csc /debug:portable test.cs
2. mono --debug --profile=log:output=report.mlpd,coverage,onlycoverage test.exe
3. mprof-report --coverage-out=report.xml report.mlpd

The resulting report.xml has empty filename attributes for the Main() method.

If I do the same with mcs (i.e. generating .mdbs), then it works fine and the filename is in the XML.

@ian/@alexrp told me they just use the Mono APIs for getting the info so it doesn't seem to be a problem in mprof-report.

Mono version:

Mono JIT compiler version 4.9.2 (2017-02/9bd5459 Fri Feb 24 11:38:23 CET 2017)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
	TLS:           normal
	SIGSEGV:       altstack
	Notification:  kqueue
	Architecture:  amd64
	Disabled:      none
	Misc:          softdebug
	LLVM:          supported, not enabled.
	GC:            sgen (concurrent by default)
Comment 1 Zoltan Varga 2017-03-01 19:53:26 UTC
https://github.com/mono/mono/pull/4457
Comment 2 Zoltan Varga 2017-03-01 23:12:55 UTC
Fixed.